summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Frank Caraballo2010-05-12 17:39:51 +0200
committer David Somero2010-05-12 17:39:51 +0200
commitcc7a9cae39bbf55af376141e9493fd06ec41ed1e (patch)
tree98357ffb1e48b6ae5a3d1674d3cc28ee2680bbe8 /graphics
parent84e86d391b4441f3d79f5a2f24d4cc5632153437 (diff)
downloadslackbuilds-cc7a9cae39bbf55af376141e9493fd06ec41ed1e.tar.gz
graphics/gimmage: Updated for version 0.2.3
Diffstat (limited to 'graphics')
-rw-r--r--graphics/gimmage/README6
-rw-r--r--graphics/gimmage/doinst.sh2
-rw-r--r--graphics/gimmage/gimmage.SlackBuild21
-rw-r--r--graphics/gimmage/gimmage.info2
-rw-r--r--graphics/gimmage/slack-desc20
5 files changed, 25 insertions, 26 deletions
diff --git a/graphics/gimmage/README b/graphics/gimmage/README
index 9b855ca5e1..df958a2f0e 100644
--- a/graphics/gimmage/README
+++ b/graphics/gimmage/README
@@ -1,6 +1,6 @@
Gimmage is a small gtk image viewer, perfect for command line usage
as it accepts directories and image filenames as arguments. It also
-has a filechooser integrated into the main UI, making accessing images
-and directories a snap.
+has a filechooser integrated into the main UI, making accessing
+images and directories a snap.
-This requires gtkmm (available at SlackBuilds.org).
+gtkmm (available at SBo) is required to build Gimmage.
diff --git a/graphics/gimmage/doinst.sh b/graphics/gimmage/doinst.sh
index 5dc6bb58c0..b79b71a8ce 100644
--- a/graphics/gimmage/doinst.sh
+++ b/graphics/gimmage/doinst.sh
@@ -1,3 +1,3 @@
if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/graphics/gimmage/gimmage.SlackBuild b/graphics/gimmage/gimmage.SlackBuild
index c3ca47691d..f3f6d2e565 100644
--- a/graphics/gimmage/gimmage.SlackBuild
+++ b/graphics/gimmage/gimmage.SlackBuild
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gimmage
-VERSION=0.2.3
+VERSION=${VERSION:-0.2.3}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -33,21 +33,20 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -61,21 +60,21 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --program-prefix="" \
- --program-suffix="" \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gimmage/gimmage.info b/graphics/gimmage/gimmage.info
index 5c28a499b7..93cd123719 100644
--- a/graphics/gimmage/gimmage.info
+++ b/graphics/gimmage/gimmage.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://download.berlios.de/gimmage/gimmage-0.2.3.tar.gz"
MD5SUM="f51cca53b3d33415e75a91cf81b6ac39"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="rworkman"
+APPROVED="dsomero"
diff --git a/graphics/gimmage/slack-desc b/graphics/gimmage/slack-desc
index 34cabbc7a1..fbc8566e0f 100644
--- a/graphics/gimmage/slack-desc
+++ b/graphics/gimmage/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
gimmage: Gimmage (The gtkmm Image Viewer)
gimmage:
-gimmage: Gimmage is a small gtk image viewer, perfect for command
-gimmage: line usage as it accepts directories and image filenames
-gimmage: as arguments. It also has a filechooser integrated into
-gimmage: the main UI, making accessing images and directories a
-gimmage: snap.
+gimmage: Gimmage is a small gtk image viewer, perfect for command line usage
+gimmage: as it accepts directories and image filenames as arguments. It also
+gimmage: has a filechooser integrated into the main UI, making accessing
+gimmage: images and directories a snap.
gimmage:
gimmage: Homepage: http://gimmage.berlios.de/
gimmage:
gimmage:
+gimmage: